#2155 closed defect (fixed)

examples-v2: qemu_vfat does not build

Reported by: Chirayu Desai Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: fs/fat Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@…, gedare@… Blocked By:
Blocking:

Description

examples-v2/misc/qemu_vfat build fails, tested with rtems 4.11 sparc/sis, with make and waf both.

sparc-rtems4.11-gcc --pipe -B/home/cdesai/rtems/4.11/sparc-rtems4.11/sis/lib/ -specs bsp_specs -qrtems -Wall -O2 -g -ffunction-sections -fdata-sections -mcpu=cypress -DUSE_START_TEST -c -o o-optimize/init.o init.c
init.c:35:6: error: 'msdos_ops' undeclared here (not in a function)

&msdos_ops, RTEMS_FILESYSTEM_READ_WRITE,


Change History (6)

comment:1 Changed on Nov 30, 2013 at 5:07:04 PM by Chirayu Desai

Cc: Gedare Bloom added

comment:2 Changed on Nov 30, 2013 at 5:17:20 PM by Joel Sherrill

Cc: Sebastian Huber added

comment:3 Changed on Nov 30, 2013 at 6:54:38 PM by Gedare Bloom

Resolution: fixed
Status: newclosed

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:5 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified

comment:6 Changed on Oct 10, 2017 at 6:50:58 AM by Sebastian Huber

Component: unspecifiedfs/fat
Note: See TracTickets for help on using tickets.